Subject: Re: Poor perf of cd; pregnant pauses
From: [email-masked] (Andrew Sharp)

21 Jul 1998 04:01:55 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

A number of emails about this have come and gone in the last few days. 
Here is my experience:  starting with 19.[01], almost any command can
have a "pregnant pause" which occurrs after the command has exited but
before bash prints the next prompt.  Or approximately in that frame of
reference.  It is semi-random, however, and not confined to 'cd'
commands.  The same command typed over and over will get the pause
sometimes and sometimes not.  This on NT 4.0.

As for the hang when you type a command that doesn't exist, I used to
have this problem on a Win95 OSR2 machine (never on NT), I'm pretty sure
it went away (it's gone now, so something made it go away) after I
painstakingly eliminated non-existant paths from the PATH variable. 
This includes paths that weren't "working" for gnuwin32, like paths with
an embedded space proceeded by a backslash that used to work in b18. 
Actually, I'm not positive about that last part...I know that paths like
that are having some kind of problem on b19 that they didn't have on
b18, and I think that was one of them.  But you get the idea.  Also,
paths on network drives that aren't mapped at the moment, etc.  This
only seems to be a problem on Win95.

a

Earl Chew wrote:
> 
> I'm running b19.1 with bash 2.01.1(2)-release.
> 
> Why does:
>   cd e:/
> 
> take about 10 seconds to execute (ensure that you're somewhere
> else first)?
> 
> And:
>   cd //e
> 
> takes the expected amount of time?
> 
> Earl
> --
> >----------------------------------------------------------------------+
> > Earl Chew                              mailto:[email-masked]       |
> > Hewlett-Packard Australia              Tel:   +61 3 9210 5528        |
> > Advanced Networks Division             Fax:   +61 3 9210 5550        |
> > 347 Burwood Highway                    GPS:   37 51'46"S 145 10'03"E |
> > Burwood East, Victoria 3151, Australia                               |
> >----------------------------------------------------------------------+
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".